/**
 * GSweeper frame window
 *
 * @author Manuke
 */

package gsweeper;

// import

import java.awt.*;

import javax.swing.*;

// class implementation

class GSFrame
	extends JFrame
{
	// create & destroy

	public GSFrame(GSParameters params) {
		super("GhostSweeper");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		Container contentPane = getContentPane();
		GSMainPanel mainPanel = new GSMainPanel(params);
		contentPane.add(mainPanel);
		mainPanel.setVisible(true);
		pack();
	}
}
