/**
 * GSweeper generic panel
 *
 * @author Manuke
 */

package gsweeper;

// import

import java.awt.*;

import javax.swing.*;

// class implementation

class GSPanel
	extends JPanel
{
	// attribute

	boolean optimizedDrawingEnabled_ = true;

	// create & destroy

	public GSPanel() {
		setOpaque(false);
		setAlignmentX(0.5f);
		setAlignmentY(0.5f);
	}

	// property

	@Override
	public boolean isOptimizedDrawingEnabled() {
		return optimizedDrawingEnabled_;
	}

	public void setOptimizedDrawingEnabled(
		boolean optimizedDrawingEnabled)
	{
		optimizedDrawingEnabled_ = optimizedDrawingEnabled;
	}

	// utility

	public void setAllSize(Dimension dim) {
		setMinimumSize(dim);
		setMaximumSize(dim);
		setPreferredSize(dim);
	}
}
